package com.uca;

import com.uca.dao._Initializer;
import com.uca.gui.*;
import com.uca.core.*;
import com.uca.entity.*;
import java.sql.*;
import static spark.Spark.*;

public class StartServer {

    //.\gradlew run

    public static void displayLocalHost(int portNb, String suffix)
    {
        System.out.println("http://localhost:"+portNb+"/"+suffix);
    }
    public static void main(String[] args) {

        int portNb = 8081;
        //Configure Spark
        staticFiles.location("/static/");
        port(portNb);


        _Initializer.Init();

        //Defining our routes
        displayLocalHost(portNb, "users");
        get("/users", (req, res) -> {
            return UserGUI.getAllUsers();
        });

        displayLocalHost(portNb, "profs");
        get("/profs", (req, res) -> {
            return ProfGUI.getAllProfs();
        });
    }
}